﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;

namespace CInsightXamarinPOC
{
    public class ViewModel : INotifyPropertyChanged
    {
        private bool visible1 = true;

        public bool Content1_Visible
        {
            get
            {
                return visible1;
            }
            set
            {
                visible1 = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Content1_Visible"));
            }
        }

        private bool visible2 = true;

        public bool Content2_Visible
        {
            get
            {
                return visible2;
            }
            set
            {
                visible2 = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Content2_Visible"));
            }
        }

        public ObservableCollection<Model> MonthToDateData1 { get; set; }

        public ObservableCollection<Model> MonthToDateData2 { get; set; }

        public ObservableCollection<Model> QuarterToDateData1 { get; set; }

        public ObservableCollection<Model> QuarterToDateData2 { get; set; }

        public ObservableCollection<Model> DayData1 { get; set; }

        public ObservableCollection<Model> DayData2 { get; set; }

        public ObservableCollection<Model> DayData3 { get; set; }

        public ObservableCollection<Model> DayData4 { get; set; }

        public ObservableCollection<Model> DayData5 { get; set; }

        public ObservableCollection<Model> DayData6 { get; set; }

        public ObservableCollection<Model> WeekData1 { get; set; }

        public ObservableCollection<Model> WeekData2 { get; set; }

        public ObservableCollection<Model> WeekData3 { get; set; }

        public ObservableCollection<Model> WeekData4 { get; set; }

        public ObservableCollection<Model> WeekData5 { get; set; }

        public ObservableCollection<Model> WeekData6 { get; set; }

        public ViewModel()
        {
            MonthToDateData1 = new ObservableCollection<Model>()
            {
                new Model { RegionName = "APAC", YValue = 4200 },
                new Model { RegionName = "CALA", YValue = 7000 },
                new Model { RegionName = "Europe", YValue = 1200 },
                new Model { RegionName = "MEA", YValue = 4500 },
                new Model { RegionName = "NAR", YValue = 3200 },
                new Model { RegionName = "Unknown", YValue = 500 }
            };

            MonthToDateData2 = new ObservableCollection<Model>()
            {
                new Model { RegionName = "APAC", YValue = 4500 },
                new Model { RegionName = "CALA", YValue = 3000 },
                new Model { RegionName = "Europe", YValue = 2000 },
                new Model { RegionName = "MEA", YValue = 1000 },
                new Model { RegionName = "NAR", YValue = 1500 },
                new Model { RegionName = "Unknown", YValue = 6500 }
            };

            QuarterToDateData1 = new ObservableCollection<Model>()
            {
                new Model { RegionName = "APAC", YValue = 20300 },
                new Model { RegionName = "CALA", YValue = 3000 },
                new Model { RegionName = "Europe", YValue = 30000 },
                new Model { RegionName = "MEA", YValue = 7000 },
                new Model { RegionName = "NAR", YValue = 12000 },
                new Model { RegionName = "Unknown", YValue = 40000 }

            };

            QuarterToDateData2 = new ObservableCollection<Model>()
            {
                new Model { RegionName = "APAC", YValue = 10000 },
                new Model { RegionName = "CALA", YValue = 20000 },
                new Model { RegionName = "Europe", YValue = 5000 },
                new Model { RegionName = "MEA", YValue = 20500 },
                new Model { RegionName = "NAR", YValue = 7000 },
                new Model { RegionName = "Unknown", YValue = 25000 }
            };

            DayData1 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Mon", YValue = 100 },
                new Model { DayName = "Tue", YValue = 50 },
                new Model { DayName = "Wed", YValue = 80 },
                new Model { DayName = "Thu", YValue = 400 },
                new Model { DayName = "Fri", YValue = 0 },
            };

            DayData2 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Mon", YValue = 100 },
                new Model { DayName = "Tue", YValue = 300 },
                new Model { DayName = "Wed", YValue = 0 },
                new Model { DayName = "Thu", YValue = 0 },
                new Model { DayName = "Fri", YValue = 0 },
            };

            DayData3 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Mon", YValue = 100 },
                new Model { DayName = "Tue", YValue = 40 },
                new Model { DayName = "Wed", YValue = 0 },
                new Model { DayName = "Thu", YValue = 0 },
                new Model { DayName = "Fri", YValue = 0 },
            };

            DayData4 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Mon", YValue = 20 },
                new Model { DayName = "Tue", YValue = 0 },
                new Model { DayName = "Wed", YValue = 0 },
                new Model { DayName = "Thu", YValue = 0 },
                new Model { DayName = "Fri", YValue = 0 },
            };

            DayData5 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Mon", YValue = 300 },
                new Model { DayName = "Tue", YValue = 20 },
                new Model { DayName = "Wed", YValue = 80 },
                new Model { DayName = "Thu", YValue = 0 },
                new Model { DayName = "Fri", YValue = 0 },
            };

            DayData6 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Mon", YValue = 0 },
                new Model { DayName = "Tue", YValue = 0 },
                new Model { DayName = "Wed", YValue = 0 },
                new Model { DayName = "Thu", YValue = 0 },
                new Model { DayName = "Fri", YValue = 120 },
            };

            WeekData1 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Week 1", YValue = 700 },
                new Model { DayName = "Week 2", YValue = 300 },
                new Model { DayName = "Week 3", YValue = 0 },
                new Model { DayName = "Week 4", YValue = 0 },
                new Model { DayName = "Week 5", YValue = 0 },
            };

            WeekData2 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Week 1", YValue = 1300 },
                new Model { DayName = "Week 2", YValue = 700 },
                new Model { DayName = "Week 3", YValue = 0 },
                new Model { DayName = "Week 4", YValue = 0 },
                new Model { DayName = "Week 5", YValue = 0 },
            };

            WeekData3 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Week 1", YValue = 0 },
                new Model { DayName = "Week 2", YValue = 0 },
                new Model { DayName = "Week 3", YValue = 0 },
                new Model { DayName = "Week 4", YValue = 0 },
                new Model { DayName = "Week 5", YValue = 3700 },
            };

            WeekData4 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Week 1", YValue = 0 },
                new Model { DayName = "Week 2", YValue = 0 },
                new Model { DayName = "Week 3", YValue = 0 },
                new Model { DayName = "Week 4", YValue = 0 },
                new Model { DayName = "Week 5", YValue = 0 },
            };

            WeekData5 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Week 1", YValue = 0 },
                new Model { DayName = "Week 2", YValue = 2500 },
                new Model { DayName = "Week 3", YValue = 0 },
                new Model { DayName = "Week 4", YValue = 800 },
                new Model { DayName = "Week 5", YValue = 0 },
            };

            WeekData6 = new ObservableCollection<Model>()
            {
                new Model { DayName = "Week 1", YValue = 1800 },
                new Model { DayName = "Week 2", YValue = 0 },
                new Model { DayName = "Week 3", YValue = 2700 },
                new Model { DayName = "Week 4", YValue = 0 },
                new Model { DayName = "Week 5", YValue = 0 },
            };
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
